## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# GCCDefinitions.hpp File Reference

Go to the source code of this file.

## Defines

- #define GCCDEFINITIONS_HEADER_GUARD_1357924680
- #define XALAN_PLATFORM_EXPORT
- #define XALAN_PLATFORM_IMPORT
- #define XALAN_PLATFORM_EXPORT_FUNCTION(T) T XALAN_PLATFORM_EXPORT
- #define XALAN_PLATFORM_IMPORT_FUNCTION(T) T XALAN_PLATFORM_IMPORT
- #define XALAN_CLASSIC_IOSTREAMS
- #define XALAN_NO_MEMBER_TEMPLATES
- #define XALAN_NO_STD_ALLOCATORS
- #define XALAN_NO_USING_DECLARATION
- #define XALAN_SGI_BASED_STL
- #define XALAN_XALANDOMCHAR_USHORT_MISMATCH
- #define XALAN_POSIX2_AVAILABLE
- #define XALAN_INLINE_INITIALIZATION
- #define XALAN_HAS_CPP_NAMESPACE
- #define XALAN_HAS_STD_ITERATORS
- #define XALAN_HAS_STD_DISTANCE

## Define Documentation

#define GCCDEFINITIONS_HEADER_GUARD_1357924680

Value:

#define XALAN_CLASSIC_IOSTREAMS

Value:

#define XALAN_HAS_CPP_NAMESPACE

Value:

#define XALAN_HAS_STD_DISTANCE

Value:

#define XALAN_HAS_STD_ITERATORS

Value:

#define XALAN_INLINE_INITIALIZATION

Value:

#define XALAN_NO_MEMBER_TEMPLATES

Value:

#define XALAN_NO_STD_ALLOCATORS

Value:

#define XALAN_NO_USING_DECLARATION

Value:

#define XALAN_PLATFORM_EXPORT

Value:

#define XALAN_PLATFORM_EXPORT_FUNCTION( | T ) T XALAN_PLATFORM_EXPORT

#define XALAN_PLATFORM_IMPORT

Value:

#define XALAN_PLATFORM_IMPORT_FUNCTION( | T ) T XALAN_PLATFORM_IMPORT

#define XALAN_POSIX2_AVAILABLE

Value:

#define XALAN_SGI_BASED_STL

Value:

#define XALAN_XALANDOMCHAR_USHORT_MISMATCH

Value:

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.